Subject: IPv6 Flow Label as a Traffic Selector

From: Tschofenig Hannes <[email-masked]>
Date: Thu, 3 Jul 2003 15:40:05 +0200

hi all, 

the ipv6 flow label is a 3-tuple (<source ip, destination ip, 20-bit flow
label field in the ipv6 header>) (see [draft-ietf-ipv6-flow-label-07.txt]). 

for multiple tunnels with different qos properties it is better to use the
ipv6 flow label instead of udp encapsulation. in case of rsvp the need for
udp encapsulation is described in [rfc2746] (RSVP Operation Over IP Tunnels)
and in [rfc3175] (Aggregation of RSVP for IPv4 and IPv6 Reservations ) for
the case of different tunnel sessions. 

is there a possibility to support the above-mentioned 3-tuple as a traffic
selector within ikev2?

ciao
hannes